user nobody nogroup;
worker_processes 1;

events {
    worker_connections 512;
}

http {
    include /etc/nginx/mime.types;

    upstream annot_wsgi {
        server web:8000;
    }

    server {
        listen *:80;
        server_name "";
        charset utf-8;

        # static django files
        location /static/ {
            root /usr/src;
        }

        # static media fieles
        location /media/ {
            root /usr/src;
        }

        # dynamic django files
        location / {
            proxy_pass http://web:8000/;
            proxy_read_timeout 960s;
        }
    }
}
